#ifndef VHTTPD_SOCKET_H
#define VHTTPD_SOCKET_H

#include <sys/types.h>

int create_inet_server_socket (const char *addr, const char *service);
int create_unix_server_socket(const char *path, const char *user, const char *group);
int create_unix_client_socket(const char *path);
void destroy_socket (int);

int socket_accept (int, char **);
int socket_send (int, const char *, size_t);
int socket_sendfile (int, int, size_t);
int socket_receive (int, char **, size_t *);
int socket_is_http (int);

#endif
