#ifndef VHTTPD_SOCKET_CHANNEL_H
#define VHTTPD_SOCKET_CHANNEL_H

#include <vhttpd/channel.h>

channel_t *socket_channel_new (const char *addr, const char *service);

int socket_channel_test_plain (channel_t * c);
int socket_channel_plain (channel_t * c);
int socket_channel_fileno (channel_t * c);
const char *socket_channel_remoteaddr (channel_t * c);
channel_t *socket_channel_accept (channel_t * c);
int socket_channel_send (channel_t * c, const char *buf, size_t len);
int socket_channel_sendfile (channel_t * c, int fd, size_t len);
int socket_channel_receive (channel_t * c, char **buf, size_t * len);
void socket_channel_close (channel_t * c);

#endif
